Issue 119211 - Rotated custom shapes require larger area selection to be selected
Summary: Rotated custom shapes require larger area selection to be selected
Status: CONFIRMED
Alias: None
Product: Impress
Classification: Application
Component: configuration (show other issues)
Version: OOo 3.3
Hardware: PC All
: P3 Normal (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
: 119283 (view as issue list)
Depends on:
Blocks:
 
Reported: 2012-04-10 09:41 UTC by AH
Modified: 2013-01-29 21:47 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Attached bugdoc (10.79 KB, application/vnd.oasis.opendocument.presentation)
2012-04-10 09:42 UTC, AH
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description AH 2012-04-10 09:41:23 UTC
Verified with 3.3.0 on Windows 7, and XP.
Bug did not occur with 3.2.1 on XP.
So my guess is that it is a regression from 3.3.0

Steps to reproduce:
1: Insert a custom shape via "Basic Shapes", "Symbol Shapes", "Block Arrows"
   or so.
2: Use the "Select" tool in the "Drawing" Toolbar to select the inserted
   shape. See it only requires just enough area to be enclosed to select
   the shape.
3: Rotate the object and try to select the shape again by "Select" tool.
   Now it requires a lot larger area to be enclosed in order to select
   the rotated shape.

Since I did not know which product category this issue belongs to,
I put this under Presentation as I've created a Bugdoc w/ Impress.
But the bug also occurred on Writer and Calc as well.
Please correct it if there is a need.
Comment 1 AH 2012-04-10 09:42:32 UTC
Created attachment 77437 [details]
Attached bugdoc
Comment 2 AH 2012-04-10 09:45:25 UTC
The bugdoc consists of 2 slides w/ an arrow block each.
Slide 1 - a fresh insert
Slide 2 - rotated at a right angle

The arrow block in Slide 1 only requires just enough area to be selected.
But as for Slide 2, a lot larger area is needed to select the arrow block.
Comment 3 Regina Henschel 2012-04-10 12:34:48 UTC
Do this in Draw:
Draw a custom arrow.
Copy it and insert it in Layout layer.
Rotate the second one with 60°.
Copy the rotated arrow.
Make new layer and insert the rotated arrow.

Goto Layout layer and convert the rotated arrow to metafile. Set border line of the metafile to visible. Notice, that the metafile is larger as it should be to contain the arrow.

Lock Layout layer.
Goto new layer. Click where you see the right bottom corner of the metafile border line. Notice, that the arrow is selected, although click is far away from an enclosing rectangle.

While the arrow is selected, hover the area below with the mouse. You can see a cross mouse pointer indicating that dragging is possible near the border line of the metafile and on a horizontal direction near the bottom point of the arrow.
Comment 4 Armin Le Grand 2012-04-10 12:46:21 UTC
ALG: Indeed, this happens with CustomShapes. I debugged into it and it somehow has to do with the rotation applied to the CoustomShape and it's handling between the representing SdrObject and the CoustomShape itself. Also happens on other OOo derivates and OOo3.3. Will best be fixed in aw080 where I'll sort out all that old transformation mayhem.
Comment 5 AH 2012-04-11 03:02:12 UTC
> Regina Henschel
I appreciate your time taken for this.

I tried converting the custom shape in Impress too.
The borders for the converted shape got a lot bigger.
And I noticed that the size of the metafile is the size
needed to enclose the rotated shape to select it.

Also the same behavior when converted to bitmap as well.

Thank you for your insight.

> Armin Le Grand
It's great to hear the news that this will be fixed in the future.

>> happens on other OOo derivates and OOo3.3
   Does this mean, the bug also occurs on other versions as well?
   I was unable to reproduce it with 3.2.1 and have not tried the
   earlier versions. Did you mean "OOo derivates" as in "Unofficial
   builds of OOo 3.3.0"?

   Or, I could also see it happen on LO too if that's what you mean.

>> Will best be fixed in aw080
   Would this mean that it will be integrated in 3.4.0 or later?
   I'm sorry for being a fuss.

Thank you again, for all your time and effort.

Regards,
Comment 6 Armin Le Grand 2012-04-11 10:23:52 UTC
> Or, I could also see it happen on LO too if that's what you mean.

I checked that it happens in OOo3.3 and in LO3.5, there may be more...

> Would this mean that it will be integrated in 3.4.0 or later?

Yes.

> I'm sorry for being a fuss.

No worries. Asking questions and getting answers is what the net is made for :-)
Comment 7 AH 2012-04-12 00:45:13 UTC
> Armin Le Grand
Thank you kindly.

I've tried it with all the LO 3.4's and 3.5.0.
So it is most likely that they carried this over to their project too.

>> Would this mean that it will be integrated in 3.4.0 or later?
 > Yes.
   Now I'm confused... I'm sorry if I didn't make myself too clear.
   But What I wanted to ask you is that which of the target milestone
   would this issue be set to? Is it "3.4.0" OR "OOo later"?

   I'm sure it will be integrated in 3.4.0 or the later versions.
   So which is it?
Comment 8 Armin Le Grand 2012-04-12 08:47:35 UTC
> So it is most likely that they carried this over to their project too.

It's a branch from OOo3.3, yes.

> Now I'm confused... I'm sorry if I didn't make myself too clear.

Sorry, maybe I missed the point (not native english speaker), didn't want to confuse anyone.

> would this issue be set to? Is it "3.4.0" OR "OOo later"?

Too late for AOO3.4 (short before release). Also, aw080 will need some time (more changes and stabilization), so after AOO3.4.

HTH!
Comment 9 AH 2012-04-12 09:05:21 UTC
> Armin Le Grand
Thank you for your quick reply!

Sorry, I'm not too familiar with the development specifications
but sure, I can go and study it up. I will now be just waiting.

Thank you again for all your time and effort.
Much appreciated.

Regards,
Comment 10 Regina Henschel 2012-04-25 11:06:37 UTC
*** Issue 119283 has been marked as a duplicate of this issue. ***
Comment 11 HD 2012-09-24 06:00:11 UTC
Apparently LO team has fixed a possible duplicate of this bug.
https://bugs.freedesktop.org/show_bug.cgi?id=35079

I'm sure people are aware of this, but putting it out just in case.